class GroupNorm(Module):
  __parameters__ = ["weight", "bias", ]
  __buffers__ = []
  weight : Tensor
  bias : Tensor
  training : bool
  _is_full_backward_hook : NoneType
  num_channels : Final[int] = 4
  num_groups : Final[int] = 4
  eps : Final[float] = 1.0000000000000001e-05
  affine : Final[bool] = True
  def forward(self: __torch__.torch.nn.modules.normalization.GroupNorm,
    input: Tensor) -> Tensor:
    _0 = __torch__.torch.nn.functional.group_norm
    weight = self.weight
    bias = self.bias
    _1 = _0(input, 4, weight, bias, 1.0000000000000001e-05, )
    return _1
class LayerNorm(Module):
  __parameters__ = ["weight", "bias", ]
  __buffers__ = []
  weight : Tensor
  bias : Tensor
  training : bool
  _is_full_backward_hook : NoneType
  elementwise_affine : Final[bool] = True
  eps : Final[float] = 1.0000000000000001e-05
  normalized_shape : Final[Tuple[int, int, int]] = (4, 30, 10)
  def forward(self: __torch__.torch.nn.modules.normalization.LayerNorm,
    input: Tensor) -> Tensor:
    _2 = __torch__.torch.nn.functional.layer_norm
    weight = self.weight
    bias = self.bias
    _3 = _2(input, [4, 30, 10], weight, bias, 1.0000000000000001e-05, )
    return _3
class LocalResponseNorm(Module):
  __parameters__ = []
  __buffers__ = []
  training : bool
  _is_full_backward_hook : NoneType
  k : Final[float] = 1.
  size : Final[int] = 2
  alpha : Final[float] = 0.0001
  beta : Final[float] = 0.75
  def forward(self: __torch__.torch.nn.modules.normalization.LocalResponseNorm,
    input: Tensor) -> Tensor:
    _4 = __torch__.torch.nn.functional.local_response_norm
    return _4(input, 2, 0.0001, 0.75, 1., )
